Name:           kupfer
Version:        208
Release:        12%{?dist}
Summary:        Summon an application or document quickly

# application: GPLv3+, documentation: CC-BY-SA
License:        GPLv3+ and CC-BY-SA
URL:            http://kaizer.se/wiki/%{name}/
Source0:        http://kaizer.se/publicfiles/%{name}/%{name}-v%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  binutils
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  python-docutils
BuildRequires:  waf

# Important runtime requires
Requires:       python-keybinder
Requires:       dbus-python
Requires:       gnome-python2-libwnck
Requires:       gnome-python2-gnomekeyring
Requires:       pygtk2
Requires:       pyxdg

# Opportunistic runtime requires
Requires:       python-gdata


%description
Kupfer is an interface for quick and convenient access to applications and
their documents.

The most typical use is to find a specific application and launch it. We have
tried to make Kupfer easy to extend with plugins so that this quick-access
paradigm can be extended to many more objects than just applications.


%package        thunar
Summary:        A Thunar plugin for kupfer
License:        GPLv3+

Requires:       %{name} = %{version}-%{release}
Requires:       Thunar

%description    thunar
This plugin adds an option to Thunar to deal with Kupfer.


%prep
%setup -q -n %{name}-v%{version}


%build
CFLAGS="%{optflags}  -Werror" %{__python} waf configure --prefix=%{_prefix} --libdir=%{_libdir} --no-runtime-deps --no-update-mime --no-update-icon-cache --nopyc
%{__python} waf build %{?_smp_mflags}


%install
%{__python} waf install --destdir=%{buildroot}
rm -rf %{buildroot}%{_libdir}/

# find language files
%find_lang %{name} --with-gnome
 
 # install desktop files
desktop-file-install                                            \
    --delete-original                                           \
    --dir=%{buildroot}%{_datadir}/applications                  \
    %{buildroot}%{_datadir}/applications/%{name}.desktop        \
    %{buildroot}%{_datadir}/applications/%{name}-exec.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    touch --no-create %{_datadir}/mime/packages &> /dev/null || :
    update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


# main
%files -f %{name}.lang
%doc COPYING GIT_VERSION NEWS README.rst
%doc Documentation
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}-mimetypes.xml
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/%{name}/plugin/thunar*
%{_mandir}/man1/%{name}*.1*

%files thunar
%{_datadir}/Thunar/sendto/%{name}.desktop
%{_datadir}/%{name}/%{name}/plugin/thunar*

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 208-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 208-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 208-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 208-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Rex Dieter <rdieter@fedoraproject.org> 208-8
- update mime scriptlets

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 208-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 208-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 208-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 12 2012 Mario Blättermann <mariobl@fedoraproject.org> - 208-4
- Removed old el5 stuff
- %%{?_isa} suffixes are unneeded for noarch
- Added licensing comment
- Thunar files excluded from base package
- Scriptlets to update the mime info database
- Removed deprecated Nautilus files in %%install
- No extra *.desktop file validation needed
- Use macros consistently

* Thu Oct 04 2012 Mario Blättermann <mariobl@fedoraproject.org> - 208-3
- Removed the plugin package generally, except for Thunar
- Added --with-gnome to %%find_lang
- Removed man page extension
- Cleanup of BuildRequires and Requires
- Correct license: GPLv3+ for the python scripts, CC-BY-SA for Gnome help files

* Fri Sep 14 2012 Mario Blättermann <mariobl@fedoraproject.org> - 208-2
- Added the Thunar scripts to the -thunar subpackage
- Shorter summary
- Removed group
- Exclude the Nautilus extension because we haven't Nautilus v2 anymore
- Make it noarch

* Thu Jun 28 2012 Mario Blättermann <mariobl@fedoraproject.org> - 208-1
- Updated to v208
- Removed COPYING from the plugin subpackage
- Added a new plugins-thunar subpackage

* Sun May 06 2012 Renich Bon Ciric <renich@woralelandia.com - 207-1
- Version update to 207
- Removed the non-opening preferences patch

* Wed Sep 07 2011 Renich Bon Ciric <renich@woralelandia.com> - 206-5
- Added a patch to fix non-opening preferences; referencing bug: https://bugs.launchpad.net/kupfer/+bug/841867?comments=all

* Mon Sep 05 2011 Renich Bon Ciric <renich@woralelandia.com> - 206-4
- Removed oportunistic dependencies on nautilus.

* Sat Aug 13 2011 Renich Bon Ciric <renich@woralelandia.com> - 206-3
- Removed $$RPM_BUILD_ROOT and replaced it with the appropriate macro.
- removed the gnome/help/kupfer files from doc.

* Mon May 16 2011 Renich Bon Ciric <renich@woralelandia.com> - 206-2
- Corrected license info
- Updated description to reflect website's
- Removed v from version
- Building for python3
- General file reorganization (%%files section)

* Mon Apr 25 2011 Renich Bon Ciric <renich@woralelandia.com> - v206-1
- Updated to v206

* Thu Apr 14 2011 Renich Bon Ciric <renich@woralelandia.com> - v205-2
- Fixed file separation in plugins and main package

* Tue Apr 12 2011 Renich Bon Ciric <renich@woralelandia.com> - v205-1
- Updated to v205
- Updated the spec format
- Added python-keybinder requirement
- Added python-docutils on BuildRequires for man page generation at build
- Included technical documentation (TODO: make a devel package)
- Correctly updating desktop and icon files and cache

* Mon Jan 31 2011 Renich Bon Ciric <renich@woralelandia.com> - 203-2
- Packaged plugins separately

* Mon Jan 31 2011 Renich Bon Ciric <renich@woralelandia.com> - 203-1
- First build
- Changed version so it reflects the Fedora Naming Guidelines.
